Publican::CreateBrand(3pm)

NAME
Publican::CreateBrand - A module for generating new brand boilerplate.

SYNOPSIS
    use Publican::CreateBrand;

    my $creator = Publican::CreateBrand->new({name => 'foo'});
    $creator->create();

DESCRIPTION
    Creates a new Brand for use with the publican package

INTERFACE

  new
Create a Publican object set.

Parameters:

   name              Brand Name        (Required)

  create
Create all the required files.

  xml_files
Create XML files.

  conf_files
Create configuration files.

  images
Create images dir and all the default images in svg and png format.

DIAGNOSTICS

"unknown args %s"
    All subs with named parameters will return this error when unexpected named arguments are provided.

"%s is a required parameter"
    Any sub with a mandatory parameter will return this error if the parameter is undef.

""Can't create brand, directory %s exists!"
    When creating a Brand a directory is created with the same name as the brand. If a directory with that name is in the current directory the creation will fail.

"Invalid language supplied: %s"
    The language supplied is not a valid language.

"Can't create directory: %s"
"Could not open %s for output!"
"Can't write file"
"Can't open SVG file %s"

CONFIGURATION AND ENVIRONMENT
Publican::CreateBrand requires no configuration files or environment variables.

DEPENDENCIES
Carp version Config::Simple File::Path File::pushd DateTime Publican Term::ANSIColor

INCOMPATIBILITIES
None reported.

BUGS AND LIMITATIONS
None reported.

Please report any bugs or feature requests to "publican-list@redhat.com", or through the web interface at <https://bugzilla.redhat.com/bugzilla/enter_bug.cgi?product=Publican&amp;component=publican>.

AUTHOR
Jeff Fearn "<jfearn@redhat.com>"